PUT
/pfs/{PFS_Id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pfs/{PFS_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "disk_size": 1000}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pfs/{PFS_Id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "disk_size": 1000, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pfs/{PFS_Id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "disk_size": 1000 }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”PFS_Id
required
integer
PFS ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Body
Section titled “Request Body”Media typeapplication/json
object
disk_size
required
integer
Example
1000Responses
Section titled “Responses”default
Section titled “default”Successful response